This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 770058 - [glusterfs-3.3.0qa18]: improve rebalance related log messages
[glusterfs-3.3.0qa18]: improve rebalance related log messages
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-23 03:42 EST by Raghavendra Bhat
Modified: 2013-12-08 20:28 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2011-12-23 03:42:36 EST
Description of problem:
Rebalance related log messages should be improved. If rebalance start command is given through cli, then the log messages says received rebalance 1 op, which is not clear.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1.Create a distribute volume
2.add few more bricks to the volume
3. do reblance related operations from cli
  
Actual results:

[2011-12-23 10:57:37.667762] I [glusterd-rebalance.c:495:glusterd_rebalance_cmd_attempted_log] 0-glusterd: Received rebalance volume 3 on mirror
Expected results:

It should show the actual command given to the rebalance instead of the corresponding number which represents the operation.

Additional info:
Comment 1 Anand Avati 2011-12-29 01:22:17 EST
CHANGE: http://review.gluster.com/2500 (mgmt/glusterd: log the rebalance command received properly in the log file) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-09 05:59:12 EDT
[2012-04-30 16:08:30.251718] I [glusterd-rebalance.c:76:glusterd_rebalance_cmd_attempted_log] 0-glusterd: Received rebalance volume st
art on mirror

Checked with glusterfs-3.3.0qa40 and rebalance subcommands such as start etc are printed in the log file instead of the numbers.

Note You need to log in before you can comment on or make changes to this bug.